Summary:	Generates function prototypes and variable declarations from C code
Name:		cproto
Version:	4.7w
Release:	%mkrel 1
License:	Public Domain
Group:		Development/C
Url:		https://invisible-island.net/cproto/
Source0:	https://invisible-island.net/archives/cproto/cproto-%{version}.tgz
BuildRequires:	gcc-c++
BuildRequires:	byacc
BuildRequires:	flex


%description
Cproto generates function prototypes and variable declarations from
C source code.  Cproto can also convert function definitions between the
old style and the ANSI C style.  This conversion will overwrite the
original files, however, so be sure to make a backup copy of your original
files in case something goes wrong.  Since cproto uses a Yacc generated
parser, it shouldn't be confused by complex function definitions as much
as other prototype generators) because it uses a Yacc generated parser.

Cproto will be useful for C programmers, so install cproto if you are going
to do any C programming.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install


%files
%doc CHANGES README
%{_bindir}/cproto
%{_mandir}/*/cproto.1*


%changelog
* Mon Aug 19 2024 daviddavid <daviddavid> 4.7w-1.mga10
+ Revision: 2087000
- new version: 4.7w

* Fri Sep 01 2023 daviddavid <daviddavid> 4.7v-1.mga10
+ Revision: 1983301
- new version: 4.7v

* Wed Oct 19 2022 ghibo <ghibo> 4.7u-1.mga9
+ Revision: 1897578
- Fix URL of Source0.
- Update to release 4.7u.

* Thu Mar 17 2022 umeabot <umeabot> 4.7t-2.mga9
+ Revision: 1797187
- Mageia 9 Mass Rebuild

* Mon Jan 17 2022 mrambo3501 <mrambo3501> 4.7t-1.mga9
+ Revision: 1768778
- version 4.7t

* Mon Mar 08 2021 daviddavid <daviddavid> 4.7s-1.mga9
+ Revision: 1700707
- new version: 4.7s

* Thu Nov 19 2020 daviddavid <daviddavid> 4.7q-1.mga8
+ Revision: 1647696
- new version: 4.7q

* Sun Sep 13 2020 ghibo <ghibo> 4.7p-1.mga8
+ Revision: 1625492
- Update to release 4.7p

* Fri Feb 14 2020 umeabot <umeabot> 4.7o-2.mga8
+ Revision: 1521739
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 31 2018 daviddavid <daviddavid> 4.7o-1.mga7
+ Revision: 1347382
- new version: 4.7o

* Sun Sep 23 2018 umeabot <umeabot> 4.7m-3.mga7
+ Revision: 1296850
- Mageia 7 Mass Rebuild

* Sat Mar 24 2018 kekepower <kekepower> 4.7m-2.mga7
+ Revision: 1211914
- Use new make macro

* Sat Jan 23 2016 daviddavid <daviddavid> 4.7m-1.mga6
+ Revision: 926626
- new version: 4.7m

* Wed Oct 15 2014 umeabot <umeabot> 4.7l-3.mga5
+ Revision: 744938
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.7l-2.mga5
+ Revision: 678571
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 malo <malo> 4.7l-1.mga5
+ Revision: 638605
- update to 4.7l

* Fri Oct 18 2013 umeabot <umeabot> 4.7j-3.mga4
+ Revision: 503547
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 4.7j-2.mga3
+ Revision: 348246
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 15 2012 malo <malo> 4.7j-1.mga2
+ Revision: 196520
- new Url
- new version 4.7j (which installs the man page properly)
- spec clean-up after import from Mandriva
- imported package cproto


* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 4.7g-1mdv2011.0
+ Revision: 571836
- use configure2_5x

* Thu May 28 2009 Eugeni Dodonov <eugeni@mandriva.com> 4.7g-1mdv2010.0
+ Revision: 380560
- Updated to 4.7g.

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 4.7f-1mdv2009.0
+ Revision: 278133
- 4.7f

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 4.7e-3mdv2009.0
+ Revision: 243704
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.7e-1mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Thu Apr 19 2007 Olivier Blin <oblin@mandriva.com> 4.7e-1mdv2008.0
+ Revision: 15011
- 4.7e
- Import cproto



* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.7c-1mdk
- 4.7c
- drop patch that wasn't applied
- drop useless prefix
- cosmetics
- no .bz2 ending in %%files list for man pages

* Fri Dec 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 4.6-11mdk
- rebuild

* Fri Sep 20 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 4.6-10mdk
- meuh-rebuild

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 4.6-9mdk
- BuildRequires: byacc flex
- Copyright --> License

* Thu Dec 27 2000 Letoquart Gregory <gletoquart@mandrakesoft.com> 4.6-8mdk
- Rebuild after six month

* Thu Dec 27 2000 Letoquart Gregory <gletoquart@mandrakesoft.com> 4.6-7mdk
- New ftp & website

* Wed Aug 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.6-6mdk
- rebuild for macros Stefan: the patch didn't work ... :-(

* Fri Mar 17 2000 Enzo Maggi <enzo@mandrakesoft.com> 4.6-5mdk
- fixed a bug related to the C preprocessor used (CPP)

* Thu Nov 11 1999 Jeff Garzik <jgarzik@mandrakesoft.com>
- Correct spec filename to version 4.6
- Oxygen release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.6.1 (#1516).
- use %%configure

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
